Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.dsp.management.deployment
Interface DeploymentUnit

All Superinterfaces:
  java.io.Serializable

    public interface DeploymentUnit

extends java.io.Serializable

Models a collection of deployment primitives. A deployment unit is associated with a single data space.

Nested Class Summary
`static class` | `DeploymentUnit.ContentType` The types of artifacts present in a deployment unit.

Method Summary
`void` | `discard()` Deallocates resources associated with the deployment unit (e.g. closes jar files).
`DeploymentUnit.ContentType` | `getContentType()`
`java.lang.String` | `getDataSpaceName()`
`DeploymentPrimitive` | `getPrimitive(java.lang.String locator)`
`java.util.Set<java.lang.String>` | `getPrimitiveLocators()`

Method Detail

### getDataSpaceName

    java.lang.String getDataSpaceName()

  Returns:
    The name of the data space this unit pertains to. May not be `null`.

### getContentType

    DeploymentUnit.ContentType getContentType()

  Returns:
    The content type of this unit. May not be `null`.

### getPrimitiveLocators

    java.util.Set<java.lang.String> getPrimitiveLocators()

  Returns:
    The set of deployment primitive locators included in this unit. May be empty but not `null`.

### getPrimitive

    DeploymentPrimitive getPrimitive(java.lang.String locator)

  Parameters:
    `locator` - A primitive locator. May not be `null`.
  Returns:
    The primitive corresponding to the specified locator if one exists, otherwise `null`.

### discard

    void discard()
                 throws java.lang.Exception

  Deallocates resources associated with the deployment unit (e.g. closes jar files).

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Oracle. All Rights Reserved.